# Class SqlCone

java.lang.Object
uk.ac.starlink.ttools.task.ConsumerTask
uk.ac.starlink.ttools.task.SingleMapperTask
uk.ac.starlink.ttools.cone.SkyConeMatch2
uk.ac.starlink.ttools.task.SqlCone

All Implemented Interfaces:
  `uk.ac.starlink.task.Task`

public class SqlCone extends SkyConeMatch2
Multiple cone match task which works by doing SQL queries using JDBC.

Since:
  15 Aug 2007
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`SqlCone()`

## Method Summary

### Methods inherited from class SkyConeMatch2

`createProducer, getConeErrorPolicyParameter, getConer, getDecParameter, getFindModeParameter, getParallelParameter, getRadiusDegreeParameter, getRaParameter, getUseCoverageParameter`

### Methods inherited from class SingleMapperTask

`createInputProducer, getInputFilterParameter, getInputTableParameter`

### Methods inherited from class ConsumerTask

`createExecutable, createProducer, getIdentity, getOutputMode, getParameterList, getParameters, getPurpose`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SqlCone

public SqlCone()